%define oname   aws-s3

Name:       ruby-%{oname}
Version:    0.6.3
Release:    %mkrel 3
Summary:    Client library for Amazon's Simple Storage Service's REST API
License:    MIT
Group:      Development/Ruby
URL:        http://amazon.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Client library for Amazon's Simple Storage Service's REST API

%files
%{_bindir}/s3sh
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/INSTALL
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.6.3-3.mga3
+ Revision: 395723
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.3-2.mga3
+ Revision: 380657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.6.3-1.mga3
+ Revision: 312619
- new version 0.6.3

* Sat Feb 12 2011 shikamaru <shikamaru> 0.6.2-2.mga1
+ Revision: 50907
- imported package ruby-aws-s3

